Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:48 2009

## Asterisk developer's documentation

# phone_pvt Struct Reference

Collaboration diagram for phone_pvt:

[legend]

## Data Fields

char | buf [PHONE_MAX_BUF]
char | cid_name [AST_MAX_EXTENSION]
char | cid_num [AST_MAX_EXTENSION]
char | context [AST_MAX_EXTENSION]
int | cpt
char | dev [256]
int | dialtone
char | ext [AST_MAX_EXTENSION]
int | fd
struct ast_frame | fr
char | language [MAX_LANGUAGE]
int | lastformat
int | lastinput
int | ministate
int | mode
struct phone_pvt * | next
char | obuf [PHONE_MAX_BUF *2]
int | obuflen
char | offset [AST_FRIENDLY_OFFSET]
struct ast_channel * | owner
int | rxgain
int | silencesupression
int | txgain

## Detailed Description

Definition at line 122 of file chan_phone.c.

## Field Documentation

char buf[PHONE_MAX_BUF]

Definition at line 133 of file chan_phone.c.

Referenced by phone_read().

char cid_name[AST_MAX_EXTENSION]

Definition at line 145 of file chan_phone.c.

Referenced by mkif(), and phone_new().

char cid_num[AST_MAX_EXTENSION]

Definition at line 144 of file chan_phone.c.

Referenced by mkif(), phone_check_exception(), and phone_new().

char context[AST_MAX_EXTENSION]

Definition at line 140 of file chan_phone.c.

Referenced by mkif(), phone_check_exception(), and phone_request().

int cpt

Definition at line 138 of file chan_phone.c.

Referenced by mkif(), phone_check_exception(), phone_hangup(), and phone_new().

char dev[256]

Definition at line 129 of file chan_phone.c.

Referenced by do_monitor(), mkif(), phone_new(), and phone_request().

int dialtone

Definition at line 135 of file chan_phone.c.

Referenced by do_monitor(), mkif(), phone_check_exception(), and phone_hangup().

char ext[AST_MAX_EXTENSION]

Definition at line 142 of file chan_phone.c.

Referenced by mkif(), phone_check_exception(), phone_hangup(), and phone_new().

int fd

Definition at line 123 of file chan_phone.c.

Referenced by __unload_module(), do_monitor(), mkif(), phone_answer(), phone_check_exception(), phone_digit(), phone_exception(), phone_hangup(), phone_mini_packet(), phone_new(), phone_read(), phone_setup(), phone_write(), and phone_write_buf().

struct ast_frame fr`[read]`

Definition at line 131 of file chan_phone.c.

Referenced by phone_exception(), and phone_read().

char language[MAX_LANGUAGE]

Definition at line 143 of file chan_phone.c.

Referenced by mkif(), and phone_new().

int lastformat

Definition at line 126 of file chan_phone.c.

Referenced by mkif(), phone_check_exception(), phone_digit(), phone_hangup(), and phone_write().

int lastinput

Definition at line 127 of file chan_phone.c.

Referenced by mkif(), phone_hangup(), phone_read(), phone_setup(), and phone_write().

int ministate

Definition at line 128 of file chan_phone.c.

Referenced by mkif(), and phone_hangup().

int mode

Definition at line 125 of file chan_phone.c.

Referenced by load_module(), mkif(), phone_answer(), phone_call(), phone_check_exception(), phone_exception(), phone_hangup(), phone_new(), phone_read(), phone_request(), phone_setup(), and phone_write().

struct phone_pvt* next`[read]`

Definition at line 130 of file chan_phone.c.

Referenced by __unload_module(), do_monitor(), load_module(), mkif(), and phone_request().

char obuf[PHONE_MAX_BUF *2]

Definition at line 141 of file chan_phone.c.

Referenced by phone_write_buf().

int obuflen

Definition at line 134 of file chan_phone.c.

Referenced by mkif(), phone_hangup(), phone_write(), and phone_write_buf().

char offset[AST_FRIENDLY_OFFSET]

Definition at line 132 of file chan_phone.c.

struct ast_channel* owner`[read]`

Definition at line 124 of file chan_phone.c.

Referenced by __unload_module(), do_monitor(), mkif(), phone_fixup(), phone_hangup(), phone_new(), and phone_request().

int rxgain

Definition at line 136 of file chan_phone.c.

Referenced by load_module(), and mkif().

int silencesupression

Definition at line 139 of file chan_phone.c.

Referenced by mkif(), and phone_write().

int txgain

Definition at line 136 of file chan_phone.c.

Referenced by load_module(), and mkif().

The documentation for this struct was generated from the following file:

- chan_phone.c